Skip to main content
POST
Create a Product

Path Parameters

supplierapi
string
required
Pattern: supplier|apiv1/supplier

Body

application/json

Create a Product

productName
string
required

Name of the Product.

country
string<ISO 3166>
required

2-character Country code.

productClassId
integer
required

ID of Product Class (see output from /categories/productclasses).

addressLineOne
string
required

First line of Product Address.

addressCity
string
required

City of Product Address.

addressPostcode
string
required

Postcode of Product Address.

mediaId
integer

ID of the Media Image use as Product thumbnail.

timezone
string

String (e.g. "Australia/Sydney") representing products timezone. If left empty, will default to Suppliers timezone. Based on timezone database @ https://www.iana.org/time-zones

apiProviderId
integer

Internal use only, if you've been given a value to use for this property then please do so here.

externalId
integer

Internal use only, if you've been given a value to use for this property then please do so here.

rating
string

Valid only for Accommodation products. A 'star' rating in the range of 1-5 and accepting of half values e.g. '3.5'.

teaser
string<HTML>

Brief product description (up to 300 characters).

description
string<HTML>

Longer product description.

itineraryDetails
string[]

Array of itinerary details in objects.

departuresPickups
string<HTML>

Information about departures or pickups.

extras
string<HTML>

Information about extras which are not included in product price - eg airport transfers, meals.

voucherInstructions
string<HTML>

Information for customer, including phone numbers and confirmation instructions

voucherInformationContactDetailsBits
integer

Combined bitwise value of contact details to be printed on voucher.

agentInstructions
string<HTML>

Additional information for the agent.

noRefunds
boolean

Disables refunds for the product.

noRefundsMessage
string<HTML>

Message explaining why refunds are not available.

cancellationFeePolicyId
integer

ID of product's cancellation fee policy (not applicable if noRefunds is turned on).

contactPhone
string

Contact phone number.

contactEmail
string

Contact email address.

addressLineTwo
string

Second line of Product Address.

addressSuburb
string

Suburb of Product Address.

addressState
string

State of Product Address.

startLocation
integer

Category ID of Product start location.

secondaryLocation
integer

Category ID of Product's secondary location.

endLocation
integer

Category ID of end location.

activityTypes
integer[]

Array of Category ID's (Integers) of activity type.

accommodationTypes
integer[]

Array of Category ID's (Integers) of accommodation types.

transportTypes
integer[]

Array of Category ID's (Integers) of transport types.

minAgeRecommendation
integer

Minimum recommended age.

maxAgeRecommendation
integer

Maximum recommended age.

ageRestriction
string

Description of any age restrictions (e.g. for an R18 hostel).

fitnessRequirements
string

Description of fitness requirements.

minGroupSize
integer

Minimum group size.

maxGroupSize
integer

Maximum group size.

dietaryRequirements
string

Description of dietary requirements.

luggageRequirements
string

Description of luggage requirements.

includedItems
string[]

Array of items included in the fare.

bringItems
string[]

Array of items that guest is expected to bring.

voucherTerms
string

Description of terms and conditions, disclaimers etc.

weekDays
string[]

Array of days of week that trip departs.

departureDates
string

Comma-separated tour departure dates

recurrenceDate
string

Frequency of departure recurrence (e.g. 'Weekly' or 'Monthly').

specialCircumstanceDate
string

Description of special dates which affect departure info (e.g. Christmas Day).

operatingPartner
string

Operating partner.

tourCode
string

Tour code.

mandatoryFieldCheckout
string[]

Array of customer fields absolutely necessary to make the booking. Customer field names: title, phone, emailAddress, dateOfBirth, redeemerCountry, postcode.

Response

Returned when successful.